using System;
using System.Data;
using MySql.Data.MySqlClient;
using MySql.Data.Types;
namespace GameServer
{
    class cDatabase
    {
        public MySQL conn;

        public void Connect()
        {
            conn = new MySQL();
            bool sqlconn = conn.TestConnect();
            if (!sqlconn)
            {
                new cLog(C.MSG_ERROR, "Error Connecting to the Database");
                Console.Read();
                return;
            }
            else
            {
                conn.OpenConnection();
                new cLog(C.MSG_SUCCESS, "Connected to the Database");

                Program.ServerClass.SetUpHandlers();
                Program.ISC.ConnectISC();
            }
        }

     
    }
}